This package contains the GNU find, xargs, and locate programs.  find
and xargs comply with POSIX 1003.2, as far as I know (with the
exception of the "+" modifier for the "-exec" action, which isn't
implemented yet).  They also support a large number of additional
options, some borrowed from Unix and some unique to GNU.

See the file NEWS for a list of major changes in the current release.

See the file INSTALL for compilation and installation instructions.

To verify the GPG signature of the release, you will need the public
key of the findutils maintainer.  You can download this from
ftp://ftp.gnu.org/gnu/gnu-keyring.gpg.  Alternatively, you could query
a PGP keyserver, but you will need to use one that can cope with
subkeys containing photos.  Many older key servers cannot do this.  I
use subkeys.pgp.net.  I think that one works.  See also the
"Downloading" section of http://www.gnu.org/software/findutils/.

Special configure options:

--with-afs
  Make find support "-fstype afs".  Requires /afs, /usr/afsws/lib, and
/usr/afsws/include.  configure doesn't add AFS support
automatically because it adds considerably to find's size, and the
AFS libraries need -lucb on Solaris, which breaks find.

--enable-id-cache
  Make tables of used UIDs and GIDs at startup instead of using
getpwuid or getgrgid when needed.  Speeds up -nouser and -nogroup
unless you are running NIS or Hesiod, which make password and group
calls very expensive.

--enable-debug
  Produce output on the standard error output indicating what find is
doing.  This information includes details about how the command line
has been parsed and what files have been stat()ed.  This output is
normally interesting only to the maintainer, and so is off by default.


To gain speed, GNU find avoids statting files whenever possible.
It does this by:
1. Checking the number of links to directories and not statting files
that it knows aren't directories until it encounters a test or action
that needs the stat info.
2.  Rearranging the command line, where possible, so that it can do tests
that don't require a stat before tests that do, in hopes that the
latter will be skipped because of an OR or AND.  (But it only does
this where it will leave the output unchanged.)

The locate program and its helper programs are derived (heavily
modified) from James Woods' public domain fast-find code, which is
also distributed with the 4.3BSD find.  Because POSIX.2 requires `find
foo' to have the same effect as `find foo -print', the fast-find
searching has been moved to a separate program, `locate'; the same
thing has been done in 4.4BSD.  If you use locate, you should run the
included `updatedb' script from cron periodically (typically nightly).

Mail suggestions and bug reports for these programs to
bug-findutils@gnu.org.
